[package]
name = "engine"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
crate-type = ['cdylib']

[profile.release]
codegen-units = 1
incremental = true
lto = true
opt-level = "z"

[dependencies]
wit-bindgen-gen-core = { path = '../wit-bindgen/crates/gen-core' }
wit-bindgen-rust = { path = '../wit-bindgen/crates/rust-wasm' }
boa_engine = "0.15.0"
getrandom = { version = "0.2", features = ["js"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"

[patch.crates-io]
getrandom = { path = "./getrandom" }
boa_engine = { path = "./boa/boa_engine" }